import { CompositeXform } from "@excel/xlsx/xform/composite-xform";
import { ColorXform } from "@excel/xlsx/xform/style/color-xform";
import { CfvoExtXform } from "@excel/xlsx/xform/sheet/cf-ext/cfvo-ext-xform";
declare class DatabarExtXform extends CompositeXform {
    cfvoXform: CfvoExtXform;
    borderColorXform: ColorXform;
    negativeBorderColorXform: ColorXform;
    negativeFillColorXform: ColorXform;
    axisColorXform: ColorXform;
    constructor();
    static isExt(rule: any): boolean;
    get tag(): string;
    render(xmlStream: any, model: any): void;
    createNewModel({ attributes }: {
        attributes: any;
    }): {
        cfvo: any[];
        minLength: number;
        maxLength: number;
        border: boolean;
        gradient: boolean;
        negativeBarColorSameAsPositive: boolean;
        negativeBarBorderColorSameAsPositive: boolean;
        axisPosition: any;
        direction: any;
    };
    onParserClose(name: any, parser: any): void;
}
export { DatabarExtXform };
